import { defineComponent, provide } from 'vue'
import { configProvideProps } from './props'

export default defineComponent({
  name: 'CipConfigProvide',
  inheritAttrs: true, // 不继承属性防止属性穿透
  props: configProvideProps,
  setup (props, { slots }) {
    provide('cip-config', props)
    return () => slots.default?.()
  }
})
