import { h } from 'vue'
import { useFormView, formInputViewProps } from '@cip/components/helper/form-input'
export default {
  props: formInputViewProps,
  setup (props, context) {
    const { inputStyle } = useFormView(props)
    return () => h('span', { style: inputStyle.value }, [props.modelValue])
  }
}
