import { formInputViewProps } from '../../form-input-props'
import { useFormView } from '../../../hooks/form-input'
export default {
  props: formInputViewProps,
  setup (props) {
    const { proxyOtherValue } = useFormView(props)
    return () => (
      <span>{proxyOtherValue[0]?.value || props.modelValue}</span>
    )
  }
}
