import { ElTabPane } from 'element-plus'
import { generateProps } from '../helper/component-util'
import { componentScheme } from './tab.scheme'

import './index.less'

export default {
  name: 'CipTabPane',
  props: generateProps(componentScheme),
  setup (props, { emit, slots }) {
    return () => <ElTabPane {...props}>
      {{
        default: slots.default?.(),
        label: slots.label?.()
      }}
    </ElTabPane>
  }
}
