# v3.x升级到4.x升级指南

## 主要升级了element-plus 到 2.2.12 及以上

```js
// main.js
// 需要注意引入顺序，不然css将被覆盖
// 用于覆盖element-plus不在支持iconfont导致的字体图标丢失的问题 
// 【注：@cip/plugins中的icon样式必须在element-plus的样式之前引入】
import '@cip/plugins/element-icon/index.css'
// 此处原值为element-plus/lib/theme-chalk/index.css
import 'element-plus/theme-chalk/index.css'
// 公司UI标准
import '@cip/components/styles/ant-design-theme.less'
```
### 检查项目文件size属性

> 统一为 [small, default, large]

- form,button 
  - mini -> small
  - small -> default
  - medium -> large
- table
  - medium -> large

### 移除了原来的front组件

  - 检查项目中是否使用存在@cip/components/front的引入

### 移除了原来的parent组件

- 检查项目中是否使用存在@cip/components/parent的引入

### 杂项记录

- 如果使用到原main/page-breadcrumb 请切换为 main/cip-main-breadcrumb 组件
- default 为14px与原来的table的表现不符需要修正
- `el-button` 不再支持 `type="text"`

### 即将废弃组件

- `cip-table-button`将在v6版本废弃，请使用`cip-button-text`代替

### Main组件默认值变更

- `theme` 修改为 `standard`
- `layout` 修改为 `left-2`
